version: '3'
services:
  proxy:
    build:
      context: proxy
      dockerfile: Dockerfile
    depends_on:
      - app
#      - web
    ports:
      - "0.0.0.0:80:80"
    volumes:
      - static_volume:/home/app/web/staticfiles

  app:
    build:
      context: backend
    command: |
      bash -c "./manage.py collectstatic --no-input &&
       ./manage.py migrate &&
       gunicorn moviesproject.wsgi:application --bind 0.0.0.0:8000"
    volumes:
      - static_volume:/app/staticfiles

  web:
    build:
      context: frontend


volumes:
  static_volume: